@echo off

if [%1]==[] goto usage

@echo ****** Preliminary testing ******
copy !samples.ini !test.ini > NUL
..\etc\!test.exe %*

@echo ****** Main testing ******
copy !main.ini !test.ini > NUL
..\etc\!test.exe %*
goto :FINISH

:usage
@echo Usage: test.bat filename.exe
pause
exit 1

:FINISH
del !test.ini
